# $Revision: 1.8 $, $Date: 2002/01/27 16:38:46 $
Summary:	Shows information about a local user
Summary(pl):	Pokazuje informacje o lokalnych uytkownikach
Name:		userinfo
Version:	1.5
Release:	1
License:	GPL v2
Group:		Applications/System
Group(de):	Applikationen/System
Group(es):	Aplicaciones/Sistema
Group(pl):	Aplikacje/System
Group(pt_BR):	Aplicaes/Sistema
Source0:	http://m-net.arbornet.org/~bjk/userinfo/download/%{name}-%{version}.tar.gz
Patch0:		%{name}-utmpx.patch
Patch1:		%{name}-am.patch
URL:		http://arbornet.org/~bjk/userinfo/
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	libtool
Requires:	utempter
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
userinfo is a small console utility which shows as much information
about a local user as possible. Output options include: password file
info, mail info, login info and more.

%description -l pl
userinfo jest maym konsolowym narzdziem, ktre pokazuje tyle
informacji o lokalnym uytkowniku, ile to tylko moliwe. Wywietla:
informacj z plikw passwd, mail info, login info i wiele innych

%prep
%setup  -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
libtoolize --copy --force
aclocal
autoconf
autoheader
automake -a -c
%configure \
	--with-aliases=/etc/mail/aliases

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf ChangeLog README TODO BUGS

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*1.*
%doc *.gz


%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: userinfo.spec,v $
Revision 1.8  2002/01/27 16:38:46  blues
- 1.5 (few bugfixes... not enought...)
- added automake support (sent to author)
- utmpx patch updated (authors utmpx support is broken...)

Revision 1.7  2002/01/18 02:15:16  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2002/01/18 01:12:17  kloczek
- cosmetics.

Revision 1.5  2002/01/12 18:36:17  blues
- release 2
- added utmpx patch

Revision 1.4  2002/01/11 22:46:02  blues
- 1.3 (bugfixes, code cleanups - upgrade advised by author)

Revision 1.3  2001/12/12 19:27:19  blues
- 1.1 (patch included into sources)
- new configure option used

Revision 1.2  2001/12/08 16:04:53  blues
- 1.0 (bugfixes - info from author: first stable release)
STBR

Revision 1.1  2001/12/08 13:20:51  blues
- initial version (written from scratch)
userinfo is a small console utility which shows as much information
about a local user as possible. Output options include: password file
info, mail info, login info and more.
